Bug 140343 - FILEOPEN DOCX rtlGutter is not supported
Summary: FILEOPEN DOCX rtlGutter is not supported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: x86-64 (AMD64) All
: medium enhancement
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Gutter-Margins
  Show dependency treegraph
 
Reported: 2021-02-11 15:17 UTC by Regina Henschel
Modified: 2021-04-01 10:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
DOCX to reproduce the error (16.24 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-02-11 15:17 UTC, Regina Henschel
Details
rtlGutter, Screenshot left Word, right LibreOffice (189.84 KB, image/png)
2021-02-11 15:18 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2021-02-11 15:17:18 UTC
Created attachment 169676 [details]
DOCX to reproduce the error

If the DOCX file has a rtlGutter set, this is not handled.
Comment 1 Regina Henschel 2021-02-11 15:18:12 UTC
Created attachment 169677 [details]
rtlGutter, Screenshot left Word, right LibreOffice
Comment 2 Miklos Vajna 2021-02-11 15:41:15 UTC
Oh, thanks for this sample. How did you manage to produce the rtlGutter? I was looking at the Word UI for this, but could not find anything with an English UI.
Comment 3 Regina Henschel 2021-02-11 17:17:44 UTC
(In reply to Miklos Vajna from comment #2)
> Oh, thanks for this sample. How did you manage to produce the rtlGutter? I
> was looking at the Word UI for this, but could not find anything with an
> English UI.

It was tricky. You need to add a RTL language, e.g. Arabic (Saudi Arabia), to File > Options > Language, section 'Office authoring languages and proofing'. For changing the writing direction you can add the commands to the Quick Access Toolbar in the title bar. Restart. Now you should have item 'Right' in the drop-down list of 'Gutter Position' in Page Setup tab 'Margins'.
The writing direction is in 'Page Setup' tab 'Layout' for sections, and for paragraphs via the commands from the Quick Access Toolbar. I have not tested, whether changing the writing direction is really needed.

Word has a bug, that it writes 'gutterAtTop' in addition to 'rtlGutter'. So you need to enter the archive and remove 'gutterAtTop' manually. Because I have no RTL environment I cannot test, whether this bug only exists for my English UI/German local environment.
Comment 4 BogdanB 2021-02-22 07:24:40 UTC
Confirm with
Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 7b649f835cc00ed76927c6821a135605609bed4e
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 5 Miklos Vajna 2021-03-30 10:57:31 UTC
https://cgit.freedesktop.org/libreoffice/core/commit/?id=67e53dfeadbbc4f4ab207af0d2cd4e8f556b73d4 "sw page rtl gutter margin: add doc model" forgot to reference this bug.
Comment 6 Commit Notification 2021-03-30 18:04:31 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bcbf1c245fa13cfbae2059a996006179c7f4b747

tdf#140343 sw page rtl gutter margin: add UNO API

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-03-31 07:54:01 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c088d26578d1be352efa49bd164a8217627648de

tdf#140343 sw page rtl gutter margin: add layout

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-03-31 09:03:37 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3db477fd0e6cfc4ff77b3c911ca4ab14fd980932

tdf#140343 sw page rtl gutter margin: add DOCX filter

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-03-31 12:57:57 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fac65bb9d831a854298d6cba09ad6159d15b8323

tdf#140343 sw page rtl gutter margin: add ODF import

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-03-31 16:44:02 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8b7ff52ac87795881a4d86395885778f1da3d18b

tdf#140343 sw page rtl gutter margin: add DOC filter

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2021-04-01 08:08:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f15c6c5d2947a61e6521471b6b7541812953efc3

tdf#140343 sw page rtl gutter margin: add RTF filter

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2021-04-01 10:43:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d48a4174708ce0850577dba76dccaf85c4f6ffa1

tdf#140343 sw page rtl gutter margin: add UI

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Miklos Vajna 2021-04-01 10:46:56 UTC
I think this is now in a reasonable shape on master.